Get Disputes
Authorization
apiKey x-api-key<token>
Your Chargeflow API key. Generate it in the Developer Hub under Settings.
In: header
Query Parameters
limit?number
Maximum number of disputes to return in a single response
Range
1 <= value <= 100Default
15offset?number
Number of disputes to skip for pagination
Range
0 <= valueDefault
0dateCreatedFrom?string
Filter disputes created after this date (ISO 8601 format)
dateCreatedTo?string
Filter disputes created before this date (ISO 8601 format)
amountFrom?number
Filter disputes with amount greater than or equal to this value
Range
0 <= valueDefault
0amountTo?number
Filter disputes with amount less than or equal to this value
Range
0 <= valueDefault
1000statusNames?string
Filter disputes by status (comma-separated values)
Value in
- "won"
- "lost"
- "refunded"
- "under_review"
- "warning_under_review"
- "needs_response"
- "warning_needs_response"
- "warning_awaiting_response"
- "awaiting_response"
- "warning_won"
- "appealable"
- "insured"
- "open"
- "action_required"
- "processing"
reason?string
Filter disputes by reason (comma-separated values)
Value in
- "bank_cannot_process"
- "check_returned"
- "credit_not_processed"
- "customer_initiated"
- "debit_not_authorized"
- "duplicate"
- "general"
- "incorrect_account_details"
- "insufficient_funds"
- "product_not_received"
- "product_unacceptable"
- "not_received"
- "not_as_described"
- "subscription_canceled"
- "canceled"
- "duplicate_charge"
- "payment_by_other_means"
- "unrecognized"
- "incorrect_amount"
- "fraud"
- "canceled_recurring_billing"
- "other"
- "problem_with_remittance"
- "unauthorized"
processorNames?string
Filter disputes by payment processor (comma-separated values)
Value in
- "stripe"
- "shopify"
- "klarna"
- "afterpay"
- "paypal"
- "adyen"
Response Body
application/json
curl -X GET "https://example.com/public/2024-03-18/disputes"{ "totalCount": 0, "hasMore": true, "data": [ { "chargeflowDisputeId": "string", "dispute": { "processorId": "string", "processor": "string", "amount": { "value": 0, "currency": "string" }, "status": "under_review", "reason": "bank_cannot_process", "responseDueDate": "2019-08-24T14:15:22Z" }, "transaction": { "id": "string", "creationDate": "2019-08-24T14:15:22Z", "source": "string", "orderId": "string", "customerEmail": "user@example.com" } } ]}Was this page helpful?